Import package work effort from Nikolas Poniros <edhunter@sidux.com>.
authorAndrew Lee (李健秋) <ajqlee@debian.org>
Thu, 18 Mar 2010 13:25:35 +0000 (20:25 +0700)
committerAndrew Lee (李健秋) <ajqlee@debian.org>
Thu, 18 Mar 2010 13:25:35 +0000 (20:25 +0700)
17 files changed:
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/lxdm.config [new file with mode: 0644]
debian/lxdm.init [new file with mode: 0644]
debian/lxdm.postinst [new file with mode: 0644]
debian/lxdm.postrm [new file with mode: 0644]
debian/lxdm.prerm [new file with mode: 0644]
debian/lxdm.templates [new file with mode: 0644]
debian/patches/series [new file with mode: 0644]
debian/patches/series~ [new file with mode: 0644]
debian/patches/stderr_stdout_to_log.patch [new file with mode: 0644]
debian/po/POTFILES.in [new file with mode: 0644]
debian/po/templates.pot [new file with mode: 0644]
debian/rules [new file with mode: 0755]
debian/source/format [new file with mode: 0644]

diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..07a5455
--- /dev/null
@@ -0,0 +1,19 @@
+lxdm (0.1.0-3) unstable; urgency=low
+
+  * Added stderr_stdout_tot_log.patch
+  * Minor fix to postinst
+
+ -- Nikolas Poniros <edhunter@sidux.com>  Fri, 12 Feb 2010 10:57:28 +0100
+
+lxdm (0.1.0-2) unstable; urgency=low
+
+  * Fixing issues with postinst/prerm/config 
+
+ -- Nikolas Poniros <edhunter@sidux.com>  Fri, 12 Feb 2010 01:53:43 +0100
+
+lxdm (0.1.0-1) unstable; urgency=low
+
+  [ Nikolas Poniros ]
+  * Initial release (closes: #560004)  
+
+ -- Nikolas Poniros <edhunter@sidux.com>  Tue, 09 Feb 2010 19:06:13 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..7f8f011
--- /dev/null
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..bd9c949
--- /dev/null
@@ -0,0 +1,31 @@
+Source: lxdm
+Section: x11
+Priority: extra
+Maintainer: sidux lxde team <lxde@sidux.com>
+Uploaders: Nikolas Poniros <edhunter@sidux.com>
+Build-Depends: debhelper (>= 7.0.50~),
+ libck-connector-dev,
+ autotools-dev,
+ automake1.10,
+ libgtk2.0-dev,
+ intltool,
+ po-debconf,
+ iso-codes
+Standards-Version: 3.8.4
+Vcs-Svn: https://lxde.svn.sourceforge.net/svnroot/lxde/trunk/lxdm/
+Vcs-Browser: https://lxde.svn.sourceforge.net/svnroot/lxde/trunk/lxdm/
+
+Package: lxdm
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ debconf,
+ libpam0g,
+ x11-utils,
+ lsb-base,
+ iso-codes
+Recommends: lxsession (>= 0.4.0), 
+ lxde-common,
+ locales-all
+Description: GUI login manager for LXDE
+ A lightweight dropped-in replacement for GDM or KDM.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..b167a5a
--- /dev/null
@@ -0,0 +1,184 @@
+This work was packaged for Debian by:
+    Chris Hildebrandt <slam@sidux.com> on Sat, 16 Jan 2010 14:10:00 +0100
+
+It was downloaded from:
+    https://lxde.svn.sourceforge.net/svnroot/lxde/trunk/lxdm/
+
+Upstream Authors:
+    dgod <dgod.osa@gmail.com>
+    Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
+
+Files:
+    src/lang.c
+    src/lang.h
+    src/lxdm.c
+    src/lxdm.h
+    src/ui.c
+    data/Xsession
+    data/lxdm
+    data/lxdm.conf
+    data/lxdm.glade
+
+
+    Copyright © 2009 dgod <dgod.osa@gmail.com>
+
+License:
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+    MA 02110-1301, USA.
+
+
+File:
+    po/cs.po
+
+Copyright © 2009 Michal Várady <miko.vaji@gmail.com>
+
+File:
+    po/de.po
+
+Copyright © 2009 Mark Trompell <mark@foresightlinux.org>
+Copyright © 2009 Christoph Wickert <cwickert@fedoraproject.org>
+
+File:
+    po/it.po
+
+Copyright © 2009 Christoph Wickert <cwickert@fedoraproject.org>
+
+File:
+    po/ja.po
+
+Copyright © 2009 Hironao Komatsu <hironao@users.sourceforge.net>
+
+File:
+    po/nl.po
+
+Copyright © 2009 Vincent Van Houtte <vvh@synergylaw.be>
+
+File:
+    po/pl.po
+
+Copyright © 2009 Grzegorz Gibas <amigib@gmail.com>
+
+File:
+    po/pt.po
+
+Copyright © 2009 Sérgio Marques <smarquespt@gmail.com>
+
+File:
+    po/ru.po
+
+Copyright © 2009 HsH <hsh@runtu.org>
+
+File:
+    po/sv.po
+
+Copyright © 2009 Martin Bagge <brother@bsnet.se>
+
+File:
+    po/zh_CN.po
+
+Copyright © 2009 dgod <dgod.osa@gmail.com>
+
+File:
+    po/zh_TW.po
+
+Copyright © 2009 dgod <dgod.osa@gmail.com>
+Copyright © 2009 Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
+
+All files in po/ are licensed GPLv3
+
+
+On Debian systems, the complete text of the GNU General
+Public License version 3 can be found in `/usr/share/common-licenses/GPL-3'.
+
+Files: 
+    src/greeter.c
+    
+    Copyright © 2009 Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
+
+License:
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+    MA 02110-1301, USA.
+
+Files in src/gdm were taken from gdm:
+    src/gdm/gdm-languages.c
+    src/gdm/gdm-languages.h
+    
+    Copyright © 2008 Red Hat, Inc
+    Copyright © 2007 William Jon McCann <mccann@jhu.edu>
+
+License:
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License version 2 as
+   published by the Free Software Foundation.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this package; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+
+On Debian systems, the complete text of the GNU General
+Public License version 2 can be found in `/usr/share/common-licenses/GPL-2'.
+
+File:
+    src/gdm/locarchive.h:
+    
+    Copyright © 2002 Free Software Foundation, Inc.
+
+License:
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, write to the  Free 
+   Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,                                                               
+   MA 02110-1301, USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/LGPL-2.1'.
+
+
+The Debian packaging is:
+    Copyright © 2010 Chris Hildebrandt <slam@sidux.com>
+    Copyright © 2010 Nikolas Poniros <edhunter@sidux.com>
+
+you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; version 2 of the License.
diff --git a/debian/lxdm.config b/debian/lxdm.config
new file mode 100644 (file)
index 0000000..b4f022b
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Debian lxdm package configuration script
+# Largely adapted from gdms config script:
+# Copyright 2000-2001 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+
+set -e
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+# set default display manager
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+OWNERS=
+if db_metaget shared/default-x-display-manager owners; then
+  OWNERS="$RET"
+fi
+
+CHOICES=
+if db_metaget shared/default-x-display-manager choices; then
+  CHOICES="$RET"
+fi
+
+if [ "$OWNERS" != "$CHOICES" ]; then
+  db_subst shared/default-x-display-manager choices "$OWNERS" || :
+  db_fset shared/default-x-display-manager seen false || :
+fi
+
+# debconf is not a registry; use the current contents of the default display
+# manager file to pre-answer the question if possible
+if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+  CURRENT_DEFAULT=$(basename "$(grep -v '^[[:space:]]*#' \
+                                "$DEFAULT_DISPLAY_MANAGER_FILE" |
+                                head -n 1)")
+  if [ -n "$CURRENT_DEFAULT" ]; then
+    db_set shared/default-x-display-manager "$CURRENT_DEFAULT"
+  fi
+else
+  CURRENT_DEFAULT=
+  if db_get shared/default-x-display-manager; then
+    CURRENT_DEFAULT="$RET"
+  fi
+fi
+
+db_input high shared/default-x-display-manager || :
+db_go || :
+
+# using this display manager?
+NEW_DEFAULT=
+if db_get shared/default-x-display-manager; then
+  NEW_DEFAULT="$RET"
+fi
+
+# move the default display manager file if we are going to change it
+if [ -n "$NEW_DEFAULT" ]; then
+  if [ "$NEW_DEFAULT" != "$CURRENT_DEFAULT" ]; then
+    if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+      mv "$DEFAULT_DISPLAY_MANAGER_FILE" \
+         "${DEFAULT_DISPLAY_MANAGER_FILE}.dpkg-tmp"
+    fi
+  fi
+fi
diff --git a/debian/lxdm.init b/debian/lxdm.init
new file mode 100644 (file)
index 0000000..185e28d
--- /dev/null
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Largely adapted from xdm's init script:
+# Copyright 1998-2002, 2004, 2005 Branden Robinson <branden@debian.org>.
+# Copyright 2006 Eugene Konev <ejka@imfi.kspu.ru>
+#
+# This is free software; you may redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2,
+# or (at your option) any later version.
+#
+# This is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License with
+# the Debian operating system, in /usr/share/common-licenses/GPL;  if
+# not, write to the Free Software Foundation, Inc., 51 Franklin Street, 
+# Fifth Floor, Boston, MA 02110-1301, USA.
+
+### BEGIN INIT INFO
+# Provides:          lxdm
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Should-Start:      $named acpid hal
+# Should-Stop:       $named
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start lxdm
+### END INIT INFO
+
+set -e
+
+HEED_DEFAULT_DISPLAY_MANAGER=
+# To start lxdm even if it is not the default display manager, change
+# HEED_DEFAULT_DISPLAY_MANAGER to "false."
+# Also overridable from command line like:
+# HEED_DEFAULT_DISPLAY_MANAGER=false /etc/init.d/lxdm start
+[ -z "$HEED_DEFAULT_DISPLAY_MANAGER" ] && HEED_DEFAULT_DISPLAY_MANAGER=true
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/bin/lxdm
+PIDFILE=/var/run/lxdm.pid
+
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+SSD_START_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --startas $DAEMON -- -d"
+SSD_STOP_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --retry TERM/5/TERM/5"
+
+case "$1" in
+  start)
+    if [ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] &&
+       [ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &&
+       [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" != "${DAEMON}" ]; then
+      echo "Not starting X display manager (lxdm); it is not the default" \
+        "display manager."
+    else
+      log_daemon_msg "Starting X display manager" "lxdm"
+      start-stop-daemon --start --quiet $SSD_START_ARGS \
+        || log_progress_msg "already running"
+      log_end_msg 0
+    fi
+  ;;
+
+  restart)
+    [ -f $PIDFILE ] && /etc/init.d/lxdm stop
+    [ -f $PIDFILE ] && exit 1
+    /etc/init.d/lxdm start
+  ;;
+
+  stop)
+    log_daemon_msg "Stopping X display manager" "lxdm"
+    if ! [ -f $PIDFILE ]; then
+      log_progress_msg "not running ($PIDFILE not found)"
+    else
+      start-stop-daemon --stop --quiet $SSD_STOP_ARGS
+      SSD_RES=$?
+      if [ $SSD_RES -eq 1 ]; then
+        log_progress_msg "not running"
+      fi
+      if [ $SSD_RES -eq 2 ]; then
+        log_progress_msg "not responding to TERM signals"
+      else
+       if [ -f $PIDFILE ]; then
+         log_progress_msg "(removing stale $PIDFILE)"
+         rm $PIDFILE
+       fi
+      fi
+    fi
+    log_end_msg 0
+  ;;
+  force-reload)
+    /etc/init.d/lxdm restart
+  ;;
+
+  *)
+    echo "Usage: /etc/init.d/lxdm {start|stop|restart|force-reload}"
+    exit 1
+    ;;
+esac
+
+exit 0
diff --git a/debian/lxdm.postinst b/debian/lxdm.postinst
new file mode 100644 (file)
index 0000000..5fe7d48
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+# Debian lxdm package post-installation script
+# Based on xdm.postinst
+# Copyright 1998-2001, 2003, 2004 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+
+set -e
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+THIS_PACKAGE=lxdm
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+# debconf is not a registry, so we only fiddle with the default file if it
+# does not exist
+if ! [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+  DEFAULT_DISPLAY_MANAGER=
+  if db_get shared/default-x-display-manager; then
+    DEFAULT_DISPLAY_MANAGER="$RET"
+  fi
+  if [ -n "$DEFAULT_DISPLAY_MANAGER" ]; then
+    DAEMON_NAME=
+    if db_get "$DEFAULT_DISPLAY_MANAGER"/daemon_name; then
+      DAEMON_NAME="$RET"
+    fi
+    if [ -z "$DAEMON_NAME" ]; then
+      # if we were unable to determine the name of the selected daemon (for
+      # instance, if the selected default display manager doesn't provide a
+      # daemon_name question), guess
+      DAEMON_NAME=$(which "$DEFAULT_DISPLAY_MANAGER" 2>/dev/null)
+    fi
+    if [ -n "$DAEMON_NAME" ]; then
+      echo "$DAEMON_NAME" > "$DEFAULT_DISPLAY_MANAGER_FILE"
+    fi
+  fi
+fi
+
+# Registering the init scripts or starting the daemon may cause output to
+# stdout, which can confuse debconf.
+db_stop
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.postrm b/debian/lxdm.postrm
new file mode 100644 (file)
index 0000000..10cc51e
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Debian lxdm package post-removal script
+# Copyright 2010 Nikolas Poniros <edhunter@sidux.com>
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+
+
+set -e
+
+if [ "$1" = "purge" ]; then
+  for DIR in /etc/lxdm; do
+    if [ -d "$DIR" ]; then
+      rm -r "$DIR"
+    fi
+  done
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.prerm b/debian/lxdm.prerm
new file mode 100644 (file)
index 0000000..484b6e5
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Debian lxdm package pre-removal script
+# Based on xdm.prerm
+# Copyright 1998-2004 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+set -e
+
+THIS_PACKAGE=lxdm
+
+DAEMON=/usr/bin/lxdm
+
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
+  if [ -e /usr/share/debconf/confmodule ]; then
+    . /usr/share/debconf/confmodule
+    # disown this question
+    db_unregister shared/default-x-display-manager
+    # does the question still exist?
+    if db_get shared/default-x-display-manager; then
+      db_metaget shared/default-x-display-manager owners
+      db_subst shared/default-x-display-manager choices "$RET"
+      db_get shared/default-x-display-manager
+      # are we removing the currently selected display manager?
+      if [ "$THIS_PACKAGE" = "$RET" ]; then
+        if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+         if db_get "$RET"/daemon_name; then
+           if [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" = "$RET" ]; then
+             rm "$DEFAULT_DISPLAY_MANAGER_FILE"
+           fi
+         else
+           if [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" = "$DAEMON" ]; then
+             rm "$DEFAULT_DISPLAY_MANAGER_FILE"
+           fi
+         fi
+        fi
+        # ask the user to choose a new default
+        db_fset shared/default-x-display-manager seen false
+        db_input critical shared/default-x-display-manager || true
+        db_go
+        # if the display manager file doesn't exist, write it with the path
+        # to the new default display manager
+        if [ ! -e $DEFAULT_DISPLAY_MANAGER_FILE ]; then
+          db_get shared/default-x-display-manager
+          db_get "$RET"/daemon_name
+          echo "$RET" > "$DEFAULT_DISPLAY_MANAGER_FILE"
+        fi
+      fi
+    fi
+  fi
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.templates b/debian/lxdm.templates
new file mode 100644 (file)
index 0000000..85ca84a
--- /dev/null
@@ -0,0 +1,24 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# for an advice to debian-l10n-english@lists.debian.org
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+Template: shared/default-x-display-manager
+Type: select
+Choices: ${choices}
+_Description: Default display manager:
+ A display manager is a program that provides graphical login capabilities for
+ the X Window System.
+ .
+ Only one display manager can manage a given X server, but multiple display
+ manager packages are installed. Please select which display manager should
+ run by default.
+ .
+ Multiple display managers can run simultaneously if they are configured to
+ manage different servers; to achieve this, configure the display managers
+ accordingly, edit each of their init scripts in /etc/init.d, and disable the
+ check for a default display manager.
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644 (file)
index 0000000..b1f1e55
--- /dev/null
@@ -0,0 +1 @@
+stderr_stdout_to_log.patch 
diff --git a/debian/patches/series~ b/debian/patches/series~
new file mode 100644 (file)
index 0000000..f59a1dc
--- /dev/null
@@ -0,0 +1 @@
+stderr_stdout_tot_log.patch 
diff --git a/debian/patches/stderr_stdout_to_log.patch b/debian/patches/stderr_stdout_to_log.patch
new file mode 100644 (file)
index 0000000..461b6e2
--- /dev/null
@@ -0,0 +1,60 @@
+--- a/src/lxdm.c
++++ b/src/lxdm.c
+@@ -176,6 +176,15 @@ void lxdm_quit_self(void)
+       exit(0);
+ }
++void log_clear(void)
++{
++      FILE *log;
++      log=fopen("/var/log/lxdm.log","w");
++      if(!log)
++              return;
++      fclose(log);
++}
++
+ void log_print(char *fmt,...)
+ {
+       static FILE *log;
+@@ -189,9 +198,14 @@ void log_print(char *fmt,...)
+       }
+       if(!log)
+       {
+-              log=fopen("/var/log/lxdm.log","w");
++              log=fopen("/var/log/lxdm.log","a");
+               if(!log)
+                       return;
++              fclose(log);
++              log=freopen("/var/log/lxdm.log","a",stdout);
++              setvbuf(stdout, NULL, _IOLBF, BUFSIZ);
++              freopen("/var/log/lxdm.log","a",stderr);
++              setvbuf(stderr, NULL, _IONBF, BUFSIZ);
+       }
+       va_start(ap,fmt);
+       vfprintf(log,fmt,ap);
+@@ -490,6 +504,7 @@ void startx(void)
+       if(!getenv("DISPLAY"))
+               putenv("DISPLAY=:0");
+               
++      log_print("%s\n","start X");
+       create_server_auth();
+               
+       arg=g_key_file_get_string(config,"server","arg",0);
+@@ -502,6 +517,8 @@ void startx(void)
+       switch(server){
+       case 0:
+               setpgid(0,getpid());
++              // required to catch output
++              log_print("%s\n", "lxdm forked");
+               execvp(args[0], args);
+               break;
+       case -1:
+@@ -909,6 +926,7 @@ int main(int arc,char *arg[])
+       
+       set_signal();
+       lxdm_get_tty();
++      log_clear();
+       startx();
+       for(tmp=0;tmp<200;tmp++)
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644 (file)
index 0000000..af22c68
--- /dev/null
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] lxdm.templates 
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644 (file)
index 0000000..c89d210
--- /dev/null
@@ -0,0 +1,31 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2010-01-27 13:09+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates :1001
+msgid "Default display manager:"
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../lxdm.templates :1001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..c5e7592
--- /dev/null
@@ -0,0 +1,7 @@
+#!/usr/bin/make -f
+
+%:
+       dh  $@
+
+override_dh_auto_test:
+       true
diff --git a/debian/source/format b/debian/source/format
new file mode 100644 (file)
index 0000000..163aaf8
--- /dev/null
@@ -0,0 +1 @@
+3.0 (quilt)